Subject: Re: Better value for chunk_size when threaded

From: Andreas Ericsson <[email-masked]>
Date: Fri, 07 Dec 2007 09:57:18 +0100

Jon Smirl wrote:
> I tried some various ideas out for chunk_size and the best strategy I
> found was to simply set it to a constant. How does 20,000 work on
> other CPUs?
> 
> I'd turn on default threaded support with this change. With threads=1
> versus non-threaded there is no appreciable difference in the time.
> 
> Is there an API to ask how many CPUs are in the system? It would be
> nice to default the number of threads equal to the number of CPUs and
> only use pack.threads=X to override.
> 

I posted a patch to implement that just yesterday. It might need some
polishing, but it hasn't received any comments so far.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231